# Clarification

All assets are licensed from artists as either their current license or non-exclusive non-transferable non-revocable agreement for the project. Artist maintain full rights to their works to do as they decide.

See [Credits.md](Credits.md) for documented credits and license per file.

## What this means

The MIT license of the project only applies to source code and data files created by the team. Files such as textures, sounds, models, and other assets are not. They can be used as part of the project only and can't be distributed as part of a new project. As the project evolved all assets will be documented with their original author and license.

## Usage of assets

This applies only for [documented assets](Credits.md). Any undocumented asset should be assumed ARR. Meaning we, Built Broken Modding, can not extend permission in place of the author.

Permission: We, Built Broken Modding team, are extending our license to 3rd parties for use in promoting creative works. This applies to any asset marked as `licensed to the BBM for project`. Allowing anyone to create related works so long as they follow simple rules. 

Note: We have the right to revoke usage at anytime. Without reason or notification required.

Note2: This doesn't apply to unrelated works. We do not own the concept of ICBM, explosives, military themes, etc. Make what you love and if it generates a profit have fun. This only applies to works directly related and using our assets. With the primary motive to protect our work and ensure it continues to exist for years.

### Non-Permitted usage

* Direct profit, sales, or monetization
* Fabric ports of the mod
* Hosting on untrustworthy sites (example: 9minecraft)
* Harmful/Hateful actions

### Permitted usage

* Creating resources packs
* Creating custom version
* Creating videos/media
* Art/Pictures

### Monetization

If you make your own assets based on ICBM. Feel free to generate income. If you do so through advertisers or donations no need to worry. Only time this will be a concern is if downloaded files include original unmodified or only slightly modified files. Resource packs do not require original files to work and can merge with base images as partial packs.

If you go through other methods please do not reference our team or products. You can sell your own assets but don't use our name/likeness. 

Example of the above: Say you make a 3D print file for the cruise launcher. So long as it's not a direct copy it can be sold. Can even say its an `ICBM Cruise Launcher` but not `ICBM Cruise Launcher - From Minecraft Mod ICBM by BBM Team`. As this would be using our likeness to promote sales and would also violate Mojang's use of Minecraft brand.

What can be noted in the product description is `Based on BBM's Teams ICBM Project <link>. Not licensed or endorced by BBM.`. As this is legally allowed but not recommended. Since promoting your good work under your own names is a better long term strategy.

### Custom ICBM versions

Custom version are meant to be used for modpack makers, compatibility fixes in modpacks, or new takes on the mod. Custom versions with minimal changes are only permitted for personal use or small servers. For a custom version to be permitted with assets major changes need to exist. Otherwise, permission will need to be requested from the team.

For any custom version the team's name and project name can not be used. This is to prevent confusion with users thinking it is the original or our team created the project. We request that a new name be giving or at minimal `Author's ICBM`.

For custom version we also request no direct hosting. Its ok to include in a modpack but users shouldn't be downloading it directly. This is again to prevent user confusion.

